EtherDetect Documentation - Overview

EtherDetect Help
Welcome to the EtherDetect documentation

EtherDetect is an easy for use and award-winning packet sniffer and network protocol analyzer, which provides a connection-oriented view for analyzing packets more effectively. With the handy tool, all you need to do is to set up the filter, start capturing, and view the connections, packets as well as data on the fly.

EtherDetect gives you an ideal opportunity to capture full TCP connections and UDP threads, which is essential for diagnosing programs, locating network problems, diving into network protocol, and extract application data from an variety of packets. Its powerful filter mechanism enables you setup default packet acceptance policy and customized packet-capturing filters. Therefore, neither will you lose anything you interested, nor will some irrelevant packets disturb you. You could focus on the problem directly and exclusively.

EtherDetect saves captured packets into files in format compatible with LibPcap and WinPcap. This allows you use any other program, if they support the packet file format of LibPcap or WinPcap, to open packet file save by EtherDetect. When you open a packet file, EtherDetect let you select whether to apply current filter to discard useless packets.

EtherDetect utilizes the same packet-capturing engine as HttpDetect(EffeTech HTTP Sniffer) and PassDetect(Ace Password Sniffer), which is high reliable and proven by thousands of our customers. This ensures the low packet-losing rate and high availability.
© 2002-2003 EtherDetect All rights reserved


EtherDetect Documentation - Features

Features
  1. Organize captured packets in a connection-oriented view
  2. Capture IP packets on your LAN with nearly no packets losing.
  3. Smart real-time analyzer enables on-the-fly content viewing while capturing and analyzing.
  4. Parse and decode an variety of network protocol.
  5. Support saving captured packets for reopening afterward.
  6. Powerful filter provides a flexible mechanism to capture specific packets.
  7. Syntax highlighting for application data in the format of HTML, HTTP and XML.

Who need it?

EtherDetect is a helpful tool for company manager, web page designers, safe-concerned parents, LAN administrators, security professionals, Java/ASP/JSP/PHP/SOAP programmers, or anyone who is interested in network traffic going through his PC or the whole LAN.


EtherDetect Documentation - Install and Uninstall

Install and Uninstall
System Requirements

Processor: Intel Pentium 133 MHz or above
Memory: 32 MB (64 MB recommended)
Free Drive Space: 2 MB for installing software
Operating System: Microsoft Windows XP, windows 2000, Windows 95/98 or Windows NT Workstation 4.0 or NT Server 4.0
Display: VGA color monitor 800x600
Pointing Device: Mouse or similar pointing device
Network Adapter: Network Adapter card configured with an IP address and connected to the network, Modem or ISDN NT+TA.

Install

1. Double-click our installation file to execute it.
2. Setup wizard will guide you through the rest of the installation process.
3. Install WinPcap, the packet-capturing driver.

Uninstall

Choose Uninstall from the EtherDetect program group.

OR:

1. Open the Windows Control Panel.
2. Double-click the "Add/Remove programs" icon.
3. Search the list for the item " EtherDetect" and double-click on it.


EtherDetect Documentation - Using the main window

Using the main window

Program Interface

No. | Brief | Description
1 | ToolBar Window | Offers the most useful commands
2 | Connections Window | Shows a list of TCP connections and UDP threads
3 | Packets Window | Shows a list of packets in a TCP connection or UDP thread
4 | Protocol Tree Window | Provides protocol stack tree for a packet
5 | Application Data Window | Provides a colorful syntax highlighting view for application data in a packet
6 | Hex Packet Window | Provides Hex view as well as ASCII view for a packet
7 | StatusBar Window | Shows Buffer usage, total connection number, and total packet number

Commands in ToolBar Window

No. | Brief | Description
1 | New Window | Create a new window
2 | Start | Start packets capturing
3 | Stop | Stop Start packets capturing
4 | Configure | Configure capturing filter, acceptance policy, and buffer size
5 | Select network adapter | Select a working network adapter
6 | Open | Open a packets file, saved previously
7 | Save | Save current captured packets into a file for future reopening
8 | About | Display program information, version number and copyright


EtherDetect Documentation - Setting working network adapter

Setting working network adapter
When you click "Select network adapter" button on the ToolBar Window, a Network Adapter Selection Window will pop up.

No. | Brief | Description
1 | Current Adapter | Show the name of current network adapter.
2 | Adapter List | Show a list of usable network adapters. If you need to change the current network adapter, select one of them and click button OK.


EtherDetect Documentation - Setting up filters and acceptance policy

Setting up filters and acceptance policy

Filter Configuration

When you click "Configure" button on the ToolBar Window, a Filter Configuration Window will pop up.

No. | Brief | Description
1 | Filter Configuration | Configure packet acceptance filters, and each filter will take effect to determine whether to accept or drop a packet. Please note, if a packet is accepted or dropped by a filter, other filters will not take effect on the same packet.
2 | Default Acceptance Policy | Default Acceptance Policy will take effect on a packet only if the packet don't match any filter configured in Filter Configuration.
3 | Buffer Size | How many space in memory is used to store captured packets.

Filter Item

When you click "Add" or "Modify" button on the Filter Configuration Window, a Filter Item Window will pop up.

No. | Brief | Description
1 | Filter Item Name | The name for the filter item.
2 | IP address of the Matching Packet | Specifies matching an IP or any IP for the filter item.
3 | Port of the Matching Packet | Specifies matching a list of ports or any port for the filter item.
4 | Action on the Matching Packet | Specifies whether to accept or drop the packet if it matches the IP and port condition in the filter item.
5 | Filter Item Signature | shows description for the filter item automatically while configuring.


EtherDetect Documentation - Save Packets

Save Packets

When you click "Save" button on the ToolBar Window, a Save As Window will pop up. In addition, if you try to close the window and current captured packets have not saved yet, a reminder dialog will prompt. When you select "Yes", a Save As Window will pop up, too.


EtherDetect Documentation - Open Packets File

Open Packets File
When you click "Open" button on the ToolBar Window, a Open Window will pop up.


EtherDetect Documentation - Order Online

Order Online
EtherDetect may be ordered through our online store seven days a week, 24 hours a day. After the order is processed successfully, an email with registration information will be sent to you directly within 24 hours.

By purchasing our product you will receive

  • Fully functional, unrestricted copy of the software
  • Free technical support with high priority
  • Free minor product updates
  • Up to 90% discounts to major product updates

Purchase Pricing

License Type | Brief Description | Unit Price
1 Non-Commercial License | Each for personal, or non-commercial use on one PC only. | $69.95 USD
1 Commercial License | Each for one PC use only. | $99.95 USD
2~5 Commercial Licenses | Buy 2~5 Commercial License in one order. Each for one PC use only. | $79.95 USD
6~10 Commercial Licenses | Buy 6~10 Commercial License in one order. Each for one PC use only. | $69.95 USD
11~20 Commercial Licenses | Buy 11~20 Commercial License in one order. Each for one PC use only. | $59.95 USD
21~50 Commercial Licenses | Buy 21~50 Commercial License in one order. Each for one PC use only. | $49.95 USD
above 51 Commercial Licenses | Buy over 51 Commercial License in one order. Each for one PC use only. Or contact us for a quotation! | $39.95 USD

One license is for one user only, and Non-Commercial License is for personal, educational or other non-profit use only. If you want to use in a commercial environment, you should order Commercial License. We also offer attractive discount prices for multi-user licenses. Such licenses are useful for companies that install our products on more than one machines. We accept credit cards orders, orders by phone and fax, checks, and wire transfers. Prices, terms,and conditions are subject to change without notice, please check our web site for the latest product offerings and prices. http://www.etherdetect.com/order.htm


EtherDetect Documentation - Contact

Contact
Please visit our homepage to get up-to-date information

http://www.etherdetect.com

Technique support: support@etherdetect.com

Support forum: http://www.etherdetect.com/forum.php

Sales question: sales@etherdetect.com